<div *ngIf="product">
    <h2>{{ product.title }}</h2>
    <ul>
        <li>id: {{ product.id }}</li>
        <li>price: {{ product.price }}</li>
        <li>description: {{ product.description }}</li>
        <li>
            <img [src]="product.image" alt="">
        </li>
    </ul>

    <button mat-stroked-button color="primary" (click)="addCart()">Agregar al carrito</button>

</div>